Download it now!
Bug 118428 - Truncated text in imported svg file
Summary: Truncated text in imported svg file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0 all versions
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: notBibisectable, regression
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2018-06-28 06:54 UTC by Jörn Schwarz
Modified: 2019-08-01 03:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer document with imported svg file (94.06 KB, application/vnd.oasis.opendocument.text)
2018-06-28 06:59 UTC, Jörn Schwarz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jörn Schwarz 2018-06-28 06:54:43 UTC
Description:
Right-aligned text in svg-files (Inkscape) which are imported in Writer is truncated on the right side (some characters are missing)

Steps to Reproduce:
[1] Create a svg-file with right and left aligned text
[2] Insert this svg file in a writer document: Insert > Image > select svg file


Actual Results:
[3] The left aligned text is displayed and printed correctly,
the right aligned text is truncated on the right

Expected Results:
The complete right-aligned text should be visible (and later printed)


Reproducible: Always


User Profile Reset: Yes



Additional Info:
see above,
problem occurs under LO 6.0.5 and 6.1.beta2
tested with enabled and disabled OpenGL, no influence
Comment 1 Jörn Schwarz 2018-06-28 06:59:20 UTC
Created attachment 143179 [details]
Writer document with imported svg file
Comment 2 Jacques Guilleron 2018-06-28 10:02:18 UTC
Hi Jörn,

I reproduce with
LO  6.1.0.0.beta1 Build ID: 8c76dfe1284e211954c30f219b3a38dcdd82f8a0
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
and
LO Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)
on Windows 7.
but not with
LO 3.6.7.2 (Build ID: e183d5b)
again on Windows 7.
Comment 3 Buovjaga 2018-07-01 18:06:10 UTC
There does not exist a Windows repo to bibisect this.
I tried on Ubuntu 14.04 with 43all repo.
In the oldest build, the graphic does not show (read error).
In the build tagged last35onmaster, it is already shown truncated.

To be certain it was not a font issue, I installed ttf-mscorefonts-installer package, but there was no effect.
Comment 4 QA Administrators 2019-08-01 03:37:04 UTC
Dear Jörn Schwarz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug